Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596719 - When using faqemu the console can't be accessed - Setting VM ticket failed
Summary: When using faqemu the console can't be accessed - Setting VM ticket failed
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.30.0
Hardware: x86_64
OS: Linux
unspecified
unspecified vote
Target Milestone: ---
: ---
Assignee: Tomasz Barański
QA Contact: meital avital
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-29 14:22 UTC by Tomasz Barański
Modified: 2018-08-15 17:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-15 17:05:47 UTC
oVirt Team: Virt


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 92694 master MERGED virt: When using faqemu the console can't be accessed 2018-07-06 20:52:31 UTC

Description Tomasz Barański 2018-06-29 14:22:37 UTC
Description of problem:
I have a dev oVirt-inside-oVirt installation. I'm using faquemu to be able to start VMs without changing the master oVirt config. Once a VM is started, I want to access it with SPICE console. oVirt won't let me, and instead say that "Setting VM ticket failed."

Version-Release number of selected component (if applicable):

Name        : vdsm
Arch        : x86_64
Version     : 4.20.32
Release     : 1.el7
From repo   : ovirt-4.2


How reproducible:


Steps to Reproduce:
1. Install oVirt host on A VM.
2. Create and run a VM to run on the host.
3. Once the VM is started, click the Console link

Actual results:
Error is reported. In Admin UI it reads: "Setting VM ticket failed."

Expected results:
Console config (.vv) is downloaded.


Additional info:
None

Comment 1 Tomasz Barański 2018-06-29 14:24:37 UTC
It is a problem in handling libvirt XML. When faqemu is used, the `<cpu>` section of the XML does not contain CPU model or features, but VDSM is expecting them.

Patch is on the way.

Comment 2 Francesco Romani 2018-06-29 14:28:07 UTC
This bug triggers only when faqemu hook is used. Affects both spice and vnc.

Comment 3 Francesco Romani 2018-06-29 14:29:29 UTC
(In reply to Tomo from comment #0)

Few more notes to reproduce the bug

> How reproducible:
100%

> Steps to Reproduce:
> 1. Install oVirt host on A VM.
and make sure to run the faqemu hook

> 2. Create and run a VM to run on the host.
> 3. Once the VM is started, click the Console link

Comment 4 Michal Skrivanek 2018-08-15 17:05:47 UTC
merged


Note You need to log in before you can comment on or make changes to this bug.